export const schedulerConfig = {

    rowHeight        : 50,
    barMargin        : 4,
    eventColor       : 'indigo',

    columns: [
        {
            type          : 'resourceInfo',
            text          : 'Name',
            width         : 200,
        },
        {
            text    : 'Nbr tasks',
            editor  : false,
            renderer: data => `${data.record.events.length || ''}`,
            align   : 'center',
            width   : 100
        }
    ],

    viewPreset: {
        base          : 'hourAndDay',
        columnLinesFor: 0,
        headers       : [
            {
                unit      : 'd',
                align     : 'center',
                dateFormat: 'ddd DD MMM'
            },
            {
                unit      : 'h',
                align     : 'center',
                dateFormat: 'HH'
            }
        ]
    },

    startDate: new Date(2025, 11, 1, 8),
    endDate  : new Date(2025, 12, 1, 18)
};
